<?php
#-------------------- S e t t i n g s ----------------------------------
#
$gaugSize       = 151;  // ###  size of gauses, always odd 121 151 
$wsDebug        = true; // ###  set to false after testing
#
#--end of settings.  do not change anything below this point  ----------
#
#
#
#
if (isset($_REQUEST['debug']) || $wsDebug == true) {
 	ini_set('display_errors', 'On'); 
	error_reporting(E_ALL);	
}
if (isset($_REQUEST['lang']) ) {
        $lang   = trim($_REQUEST['lang']);
 	$lang   = substr($lang.'en',0,2);
}
$SITE= array();
if (isset($_REQUEST['wp']) ) {
        $string = trim($_REQUEST['wp']);
 	$SITE['WXsoftware']     = substr($string.'WD',0,2);
}
$myRoot         = '../';
include         $myRoot.'wsSettings.php';
include_once    $myRoot.'wsSettingsWeather.php';
$SITE['graphImageDir']  = $myRoot.$SITE['graphImageDir'];
#-----------------------------------------------------------------------
# display source of script if requested so
#-----------------------------------------------------------------------
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
$pageName	= 'gaugeframe.php';
if (!isset($SITE)){echo "<h3>invalid call to script $pageName</h3>";exit;}
$pageVersion	= '3.0b 2014-09-16';
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__);			// check to see this is the real script
if ($pageFile <> $pageName) {$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;}
$pathString     .= '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
#--------------------------------------------------------------------------------------------------
# 3.0b 2014-09-16 release version
# -------------------------------------------------------------------------------------------------
?>
<!DOCTYPE html>
<html lang="<?php echo $lang; ?>">
<head>
	<meta charset="<?php echo $SITE['charset']; ?>"/>
	<meta name="description" content="home - your organization" />
	<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $SITE['charset']; ?>"/>
	<link rel="stylesheet" href="./css/gauges-ss.css" />
	<link rel="stylesheet" href="./css/ddimgtooltip.css" />
	<title>home - your organization</title>
</head>
<body>
<?php  echo $pathString; ?>
<!-- steelseries start -->
<table class="gaugeTable" style="width: 100%; padding 3px;">
<tr>
	<td>
		<div id="tip_0">
		  <canvas id="canvas_temp" ></canvas>
		</div>
	</td>
	<td>
		<div id="tip_4">
			<canvas id="canvas_hum" ></canvas>
		</div>
	</td>
	<td>
		<div id="tip_5" >
			<canvas id="canvas_baro" ></canvas>
		</div>
	</td>
	<td>
		<div id="tip_6" >
			<canvas id="canvas_wind" ></canvas>
		</div>
	</td>
	<td>
		<div id="tip_7" >
			<canvas id="canvas_dir" ></canvas>
		</div>
	</td>
</tr>
</table>
<div style="text-align: center;"><small>
	<canvas id="canvas_led" style="width: 15px; height: 15px;"></canvas>&nbsp;&nbsp;&nbsp;
	<canvas id="canvas_status" style="width: 550px; height: 15px;"></canvas>&nbsp;&nbsp;
	<canvas id="canvas_timer" style="width: 50px; height: 15px;"></canvas>
</small></div>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.0/jquery.min.js"></script>
<script src="./scripts/tween.min.js"></script>
<script src="./scripts/language.js"></script> 
<?php

echo '<script>'.PHP_EOL;
if (!isset ($gaugSize) ) { $gaugSize = 151;}
echo ' var g_size                 = '.$gaugSize.';'.PHP_EOL;
if (isset ($SITE['steelTime']) && is_numeric ($SITE['steelTime']) && $SITE['steelTime'] < 60 ) {
	echo 'var g_count       = '.$SITE['steelTime'].';'.PHP_EOL;
} else {
	echo 'var g_count       = 60;'.PHP_EOL;
}
echo '	var wxLang = "'.$lang.'";'.PHP_EOL;
echo '	var LANG = LANG_'.strtoupper($lang).';'.PHP_EOL;
echo '	var g_showUvGauge	= false;'.PHP_EOL;
echo '	var g_showSolarGauge	= false;'.PHP_EOL; 
echo '	var g_realTimeURL       = "./realtime'.$SITE['WXsoftware'].'.php?lang='.$lang.'"; '.PHP_EOL;   
echo '	var g_showPopupDataGraphs   = false;'.PHP_EOL; 
echo '	var ws_popupGraphs      = 0; '.PHP_EOL;
echo '</script>'.PHP_EOL;
?> 
  <script src="./scripts/steelseries.min.js"></script>
  <script src="./scripts/wsGauges.js"></script>
  <script src="./scripts/ddimgtooltip.min.js"></script>
</body>
</html>